/**
 * TODO: !!!!!! Implement Promptbook remote server login and move to Promptbook.studio
 */
type BrjappOptions = {
    /**
     * Add user to these groups
     */
    readonly userGroups: Array<string>;
    /**
     * Add this amount of credits to new users
     */
    readonly initialCredits: number;
};
/**
 * Note: Credit = 1 Word to generate or read
 * Note: What we call here "user" is on BRJ.APP "customer"
 *
 * @private - this will be moved to Promptbook studio
 */
export declare class BrjappConnector {
    private readonly apiKey;
    private options;
    private readonly client;
    constructor(apiKey: string, options: BrjappOptions);
    /**
     * Login or register user
     *
     * TODO: [🧠] Probbably better name for this method
     *
     * @param options
     * @returns user token or null if user needs to verify email
     */
    loginOrRegister(options: {
        email: string;
        password: string;
        customerRealIp: string;
    }): Promise<{
        isSuccess: boolean;
        message: string;
        token: string | null;
        isEmailVerificationRequired: boolean;
    }>;
    private addInitailCredits;
    buyCredits(options: {
        email: string;
        customerRealIp: string;
    }): Promise<{
        isSuccess: boolean;
        message: string;
        payLink: string | null;
    }>;
    /**
     *
     * @returns true if credits were spent, false if not enough credits or another error
     */
    spendCredits(options: {
        email: string;
        token: string;
        creditsAmount: number;
        description: string;
        customerRealIp: string;
    }): Promise<{
        isSuccess: boolean;
        message: string;
    }>;
}
export {};
